

# Module pooler_sup #
* [Function Index](#index)
* [Function Details](#functions)

__Behaviours:__ [`supervisor`](supervisor.md).

<a name="index"></a>

## Function Index ##


<table width="100%" border="1" cellspacing="0" cellpadding="2" summary="function index"><tr><td valign="top"><a href="#init-1">init/1</a></td><td></td></tr><tr><td valign="top"><a href="#new_pool-1">new_pool/1</a></td><td>Create a new pool from proplist pool config <code>PoolConfig</code>.</td></tr><tr><td valign="top"><a href="#pool_child_spec-1">pool_child_spec/1</a></td><td>Create a child spec for new pool from proplist pool config <code>PoolConfig</code>.</td></tr><tr><td valign="top"><a href="#rm_pool-1">rm_pool/1</a></td><td>Shutdown the named pool.</td></tr><tr><td valign="top"><a href="#start_link-0">start_link/0</a></td><td></td></tr></table>


<a name="functions"></a>

## Function Details ##

<a name="init-1"></a>

### init/1 ###

`init(X1) -> any()`

<a name="new_pool-1"></a>

### new_pool/1 ###

`new_pool(PoolConfig) -> any()`

Create a new pool from proplist pool config `PoolConfig`. The
public API for this functionality is [`pooler:new_pool/1`](pooler.md#new_pool-1).

<a name="pool_child_spec-1"></a>

### pool_child_spec/1 ###

`pool_child_spec(PoolConfig) -> any()`

Create a child spec for new pool from proplist pool config `PoolConfig`. The
public API for this functionality is [`pooler:pool_child_spec/1`](pooler.md#pool_child_spec-1).

<a name="rm_pool-1"></a>

### rm_pool/1 ###

`rm_pool(Name) -> any()`

Shutdown the named pool.

<a name="start_link-0"></a>

### start_link/0 ###

`start_link() -> any()`

